<apex:page contentType="application/vnd.ms-excel#Shift_Handover_Report_{!today()}.xls" applyHtmlTag="true"
         action="{!RunReport}" controller="Shift_Handover_Report_Ctrl" cache="true" showheader="false">
      
<head>

    <meta http-equiv="Content-Type" content="text/html;charset=UTF-8" />
    <style>
   .label
   {
        font-weight:bold;
        text-align:right;
   }
   .headerRow {
       line-height: 20px;
       background-color: #41aacb;
    }        
    
    .headerCell {
        color: #878787;
        font-weight: bold;
        font-size: small;
        padding-left: 10px
    }
    .groupedRow{
        line-height: 20px;
        background-color: #d7ecf2;
        font-weight:bold;
    }
</style> 
</head>
     
    <table height="100%">
        <tr>
            <td colspan="13" style="font-size:22pt; text-align:center; font-weight:bold; color:blue">Shift Handover Report</td>
        </tr>
    </table>     
   
    <table>
        <tr>
            <td class="label">Date Range From</td>
            <td>{!dFrom}</td>
            <td></td>
            <td class="label">Process Area</td>
            <td>{!selectedAreas}</td>
        </tr>
        <tr>
            <td class="label">Date Range To</td>
            <td>{!dTo}</td>
            <td></td>
            <td class="label">Unit</td>
            <td>{!selectedUnits}</td>
            
        </tr>
        <tr>
            <td class="label">Priority</td>
            <td>{!selectedPriority}</td>
            <td></td>
            <td class="label">Shift Resource</td>
            <td>{!selectedOperators}</td>
        </tr>
        <tr>
            <td class="label">Record Type</td>
            <td>{!IF(selectedDepartment == '', 'All', selectedDepartment)}</td>
            <td></td>
            <td class="label">Team</td>
            <td>{!selectedTeams}</td>
        </tr>
       
        <tr>
            <td colspan="4" class="label">Team Role</td>
            <td>{!selectedRoles}</td>
        </tr>
      
    </table>     
    <c:ShiftHandoverReportComponent resultMap="{!resultMap}" areaMap="{!areaMap}" resultNo="{!resultNo}" mode="export"/>
</apex:page>